import 'dart:io';

import 'package:url_launcher/url_launcher.dart';

class GalleryLaunch {
  static const String _iosPhotoScheme = 'photos-redirect://';
  static const String _androidPhotoScheme =
      'content://media/external/images/media';

  /// It'll be open gallery on device
  ///
  /// If you want to open specific image on android, you should be call media/56.png
  static Future<void> open() async {
    await launchUrl(
      Uri.dataFromString(
        Platform.isIOS ? _iosPhotoScheme : _androidPhotoScheme,
      ),
    );
  }
}
